Bug 206382 - ppc sound not working
ppc sound not working
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 19:59 EDT by Mike Strong
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 08:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
request dmesg output (51.74 KB, application/octet-stream)
2006-09-16 12:25 EDT, Mike Strong
no flags Details

  None (edit)
Description Mike Strong 2006-09-13 19:59:24 EDT
Description of problem: sound not working on ppc; log output attached.


Version-Release number of selected component (if applicable): FC5


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: log output here...

------- System Config Soundcard --------
Wed Sep 13 19:49:41 EDT 2006

------- lspci --------
00:0b.0 Host bridge: Apple Computer Inc. UniNorth AGP
00:10.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800
Pro]
0001:10:0b.0 Host bridge: Apple Computer Inc. UniNorth PCI
0001:10:0d.0 PCI bridge: Digital Equipment Corporation DECchip 21154 (rev 05)
0001:11:03.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 61)
0001:11:03.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 61)
0001:11:03.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63)
0001:11:04.0 SCSI storage controller: Artop Electronic Corp ATP865 (rev 07)
0001:11:07.0 Class ff00: Apple Computer Inc. KeyLargo Mac I/O (rev 02)
0001:11:08.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:11:09.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:11:0a.0 FireWire (IEEE 1394): Texas Instruments TSB12LV23 IEEE-1394 Controller
0002:21:0b.0 Host bridge: Apple Computer Inc. UniNorth Internal PCI
0002:21:0f.0 Ethernet controller: Apple Computer Inc. UniNorth GMAC (Sun GEM)
(rev 01)

------- lsmod --------
Module                  Size  Used by
sg                     42592  0 
scsi_mod              174460  1 sg
autofs4                27236  1 
sunrpc                195112  1 
ip_conntrack_netbios_ns     3168  0 
ipt_REJECT              6272  1 
xt_state                2336  2 
ip_conntrack           65540  2 ip_conntrack_netbios_ns,xt_state
nfnetlink               8440  1 ip_conntrack
xt_tcpudp               3424  4 
iptable_filter          3296  1 
ip_tables              16052  1 iptable_filter
x_tables               17796  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
radeon                127336  1 
drm                    84760  2 radeon
ipv6                  303556  16 
lp                     15472  0 
parport_pc             42036  0 
parport                46256  2 lp,parport_pc
ohci1394               42724  0 
uhci_hcd               34316  0 
ieee1394              433248  1 ohci1394
ehci_hcd               38828  0 
ohci_hcd               26140  0 
sungem                 36708  0 
sungem_phy             10624  1 sungem
dm_snapshot            21932  0 
dm_zero                 2304  0 
dm_mirror              27412  0 
dm_mod                 71712  6 dm_snapshot,dm_zero,dm_mirror
ext3                  158824  2 
jbd                    77844  1 ext3

------- /etc/modprobe.conf --------
alias eth0 sungem
alias snd-card-0 snd-powermac
options snd-card-0 index=0  
options snd-powermac index=0  
remove snd-powermac { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-powermac

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0 
defaults.ctl.card 0 

------- aplay -l --------
aplay: device_list:222: no soundcards found...

------- amixer --------


------- /proc/asound/version --------


------- rpm -q alsa-lib --------
alsa-lib-1.0.11-4.rc2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------


------- /proc/asound/pcm --------


------- system-config-soundcard --------

Wrong card index 0...
/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
aplay: main:547: audio open error: No such device
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Desc:           Apple Computer Inc.|PowerMac Sound
Driver:         snd-powermac
Device:         None

----------- **** -------------
Comment 1 Martin Stransky 2006-09-14 03:07:06 EDT
Could you please chcek "modprobe snd-powermac" as root? Is there any error
message? Can you attach an output of dmesg?
Comment 2 Mike Strong 2006-09-16 12:25:29 EDT
Created attachment 136438 [details]
request dmesg output
Comment 3 Mike Strong 2006-09-16 12:27:03 EDT
Dmesg output attached above.

No messages generated when "modprobe snd-powermac" was run as root.

thanks
Comment 4 Martin Stransky 2006-10-03 08:37:12 EDT
hm, it's strange...can you check the latest drivers? how-to is here:

http://people.redhat.com/stransky/alsa/

if it doesn't help please report it to ALSA project - www.alsa-project.org

Note You need to log in before you can comment on or make changes to this bug.